
html
{
    -webkit-text-size-adjust:100%;
    -ms-text-size-adjust:100%;
    margin: 0 auto;
	position: relative;

    overflow: auto;
    padding-right: 1px;

   -moz-user-select: none;
   -khtml-user-select: none;
   -webkit-user-select: none;
   -ms-user-select: none;
   user-select: none;

}

@media (min-width: 768px){
   html { border-left:2px solid #666; border-right:2px solid #666;}

}

body 
{
	background:#fff; 

	margin:0px;

  	//font-family: PNova, Helvetica, Arial, sans-serif;
	font-size:14px;
  	line-height:110%;

	-webkit-tap-highlight-color: rgba(0,0,0,0);

}
a
{
	text-decoration: none;
    //color:#333;

}

a span:first-child
{
    border:1px solid #bbb;
    padding:5px;
    border-top-left-radius      :5px;   
    border-bottom-left-radius   :5px;  
    border-right:none;
}
a span:last-child
{
    background: #dedede;
    border:1px solid #bbb;
    padding:5px;
    border-top-right-radius      :5px;   
    border-bottom-right-radius   :5px;  
}

#page_container
{
	text-align:center;
	background:#fff; 
}
ul, li
{
  margin:0px;
  padding:0px;
}
#menu_list li>div
{

  padding:0px;
  font-size:14px;
  text-align:center;
  line-height:120%;
  clear:both;
  border-top:1px solid #bbb;
  
}
.processing_overlay
{
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    z-index:1000;
    background-color:rgba(0,0,0, 0.7);    

}

.processing_overlay>div
{
    position: absolute;
    top: 20%;
    left: 50%;
  
    margin-top: -20px;
    margin-left: -20px;
/*
    color:#fff;
*/
    z-index:1100;  
    font-size:20px;
    font-weight:bold;
    width:50px;
    height:50px;
    text-align: center;
    vertical-align: middle;
/*
    background: #dedede;
    -moz-border-radius      :100px; 
    -khtml-border-radius    :100px;
    -webkit-border-radius   :100px;   
    border-radius           :100px;   
*/    
}
.top_menu
{
	padding:8px;
	position:fixed;
	top:0;z-index:200;
	font-size:14px;
	background:#ccc;
	width:100%;
	border-bottom: solid 1px #666666;

}
.bottom_menu
{
	position:fixed;
	bottom:0;
	left:0;
	z-index:200;
	width:100%;

	color: #fff				;
	font-weight: bold;
	text-decoration:none;
	opacity:0.9;
}
.bottom_menu table
{
	border-top:1px solid #666;
	background: #111 /*{a-bar-background-color}*/;
}
.bottom_menu td
{
	text-align:center;
	cursor:pointer;
	border-top: 1px solid 	#999 ;
	border-right: 1px solid 	#333 ;
	background: 			#666;
	color: 					#fff;
	background-image: -webkit-gradient(linear, left top, left bottom, from( #555 ), to( #383838)); 
	background-image: -webkit-linear-gradient( #555 , #383838 ); 
	background-image:    -moz-linear-gradient( #555 , #383838 ); 
	background-image:     -ms-linear-gradient( #555 , #383838 ); 
	background-image:      -o-linear-gradient( #555 , #383838 ); 
	background-image:         linear-gradient( #555 , #383838 );

	padding:8px;
	font-size: 12px;
	line-height:150%;

}	
.bottom_menu1 td>div
{
	padding:10px;
	font-size: 10px;
	line-height:150%;

}

//.bottom_menu td:hover, .bottom_menu td:active, 
.selected_bot_menu
{
	color:yellow;
	text-shadow: 0 1px 1px #111;
	background-color: rgba(0, 150, 0, 0.9);
	background-image: -webkit-gradient(linear, left top, left bottom, from( #383838 ), to( #555 )); /* Saf4+, Chrome */
	background-image: -webkit-linear-gradient( #383838 ,  #555); /* Chrome 10+, Saf5.1+ */
	background-image:    -moz-linear-gradient( #383838 ,  #555); /* FF3.6 */
	background-image:     -ms-linear-gradient( #383838 ,  #555); /* IE10 */
	background-image:      -o-linear-gradient( #383838 ,  #555); /* Opera 11.10+ */
	background-image:         linear-gradient( #383838 ,  #555);	
}

.header_container
{
	border:0px solid #eee;
	
	padding-bottom:0px;

	background-color:#fff;

}

.column_header, .block_header
{

	//font-family:'Century Gothic', Arial;
	margin:0px;
	padding:10px;
	text-align:left;

    cursor:pointer;

    color:#666;
	font-size:16px;
	font-weight:bold;
    background:#ededed;
    border-bottom: 1px solid #ddd;
}
.item_block
{
	margin:1px;
    border:1px solid #bbb;

	-moz-border-radius     :5px;
	-khtml-border-radius   :5px;
	-webkit-border-radius  :5px;	
	border-radius          :5px;	

	-moz-box-shadow: 	0px 1px 1px #999;
	-webkit-box-shadow: 0px 1px 1px #999;
	box-shadow: 		0px 1px 1px #999;	
}

.header_container .item_block:nth-child(7n+1) { background:rgba(202, 182, 235, 0.4);	/* #cab6eb purple */     }
.header_container .item_block:nth-child(7n+2) { background:rgba(221, 240, 228, 0.4);	/* #ddf0e4 mint */      }
.header_container .item_block:nth-child(7n+3) { background:rgba(145, 220, 223, 0.4);	/* #91dcdf sea */       }
.header_container .item_block:nth-child(7n+4) { background:rgba(246, 220, 118, 0.4);	/* #f6dc76 yellow */    }
.header_container .item_block:nth-child(7n+5) { background:rgba(175, 215, 107, 0.4);	/* #afd76b green */     }
.header_container .item_block:nth-child(7n+6) { background:rgba(245, 192, 208, 0.4);	/* #f5c0d0 red  */      }
.header_container .item_block:nth-child(7n)   { background:rgba(178, 213, 238, 0.4);	/* #b2d5ee sky */       }

.column_header_highlighted 
{
	border-bottom: 1px solid #ccc;
}

.column_header_highlighted i
{
	 -webkit-transform: rotate(180deg);
    -moz-transform:		rotate(180deg);
    -ms-transform: 		rotate(180deg);
    -o-transform: 		rotate(180deg);
    transform: 			rotate(180deg);
}
.column_header:active
{
    background:#e5f1bc;
}

#menu_list .menu_list .menu_grid .group_row:last-child td
{
		border-bottom: none;
}
#cart_canvas .item_row:last-child td
{
		border-bottom: 0px solid #eee;
}
#menu_list .menu_grid
{
	display:none;
    -webkit-backface-visibility: hidden;
    -webkit-transition: translate3d(0,0,0);


}
.menu_grid  .item_row td
{
	border-top: solid 1px #ddd;
	padding:15px 5px;
	font-size:14px;
	vertical-align:middle;
}

.menu_grid  .item_row:active
{
    background:#e5f1bc; 
}
.group_row .option_group:last-child
{
	margin-bottom: 1px;
}
#option_container
{
	display:inline-block;
	border:1px solid #999;
	background:#ccc;
	padding:15px;
	margin:0 10px;
	-moz-border-radius     :5px;
	-khtml-border-radius   :5px;
	-webkit-border-radius  :5px;	
	border-radius          :5px;	
}
.option_group
{
	clear:both;
	margin-bottom:20px;
    margin-left: 15px;
    position: relative;
    text-align: center;
}
.option_group_btn
{
	clear:both;
	margin:2px;
    margin-left: 15px;
    position: relative;
    padding:0px !important;

}
.option_item_container
{
	clear:both;
	margin:2px;
    margin-left: 15px;
    //position: absolute;
    left:0;
    top:20px;
    display:block;
    z-index: 100;

 /*   
	-moz-box-shadow: 0px 3px 3px #aaa;
	-webkit-box-shadow: 0px 3px 3px #aaa;
	box-shadow: 0px 3px 3px #aaa;	
*/ 
	moz-border-radius		:3px; 
	-khtml-border-radius	:3px;
	-webkit-border-radius	:3px;	
	border-radius			:3px;	

	overflow: auto;
   
}
.option_group .option_item
{
	padding:10px;
	margin:0px;
	font-size:13px;

	line-height: 120%;
	cursor:pointer;
	width:100px;
	background:#fff;
	float:left;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: hidden;	
	color:#606060;
	border:1px solid #aaa;
	text-align: center;
    background-color: #fff;
}



.option_group  .selected_option
{
   	background-color:#e5f1bc;
    color:#000000;
}


.option_group_btn span:first-child
{
    background: #dedede;
    border:1px solid #bbb;
    padding:5px;
//    border-top-left-radius      :5px;   
//    border-bottom-left-radius   :5px;  
//    border-right:none;
    font-size:12px;
    cursor:pointer;
    
}
.option_group_btn span:last-child
{
    border:1px solid #bbb;
    padding:5px;
//    border-top-right-radius      :5px;   
//    border-bottom-right-radius   :5px;  
    font-size:12px;
    cursor:pointer;

}


.main_view
{
	visibility:hidden;
	text-align:center;
	
	margin:0px;
	padding-bottom:45px;
    padding-top: 50px;
}
#map_canvas 
{
	margin: 0;
	padding: 0;
	height: 100%;
	width:100%;
}
.about_info
{
	padding:10px;
	font-size:16px;
	line-height:150%;
}
.note
{
	padding:15px;
	font-size:14px;
	line-height:150%;
	color:darkorange;
}

.rest_name
{

    position:fixed;
    top:0;
    left:0;
    z-index:200;
    width:100%;
    text-align: left;

	-moz-text-shadow: 	 0px 2px 2px #111;
	-webkit-text-shadow: 0px 2px 2px #111;
	text-shadow: 		 0px 2px 2px #111;	
	
	//font-family:'Century Gothic', Arial;
	font-size:18px;
	font-weight:bold;
	padding:15px;
	text-align: center;
	background-color:#454545;
	color:#ffffff;
	border-bottom:1px solid #000 ;
	outline:#999 solid 1px;
	opacity:0.8;
}
.blured
{
    filter:         blur(0.2px);
    -o-filter:      blur(0.2px);
    -ms-filter:     blur(0.2px);
    -moz-filter:    blur(0.2px);
    -webkit-filter: blur(0.2px);
}
.add_to_cart_div, .del_cart_item_div
{
	border-left:0px solid #eee;
	cursor:pointer;
	text-align:center;
	padding-right:15px !important;
}
.add_to_cart_div:hover
{
	
}
#cart_canvas_btn
{
	display:none;
}

.bubble_container
{
	position:relative;
	width:0;
	height:0;
}
.order_qty_bubble
{
	display:inline-block;
	position:absolute;
	left:-5px;
	top:-15px;
	background:#404040;
	border:2px solid #ddd;
	font-size:10px;
	line-height:140%;
	padding:1px;
	padding-top:3px;
	text-align:center;
	text-shadow: none;
	min-height:12px;
	min-width:16px;
	color:yellow;

	-moz-border-radius:20px;
	-khtml-border-radius:20px;
	-webkit-border-radius:20px;	
	border-radius:20px;	

	z-index:50;
}

.item_desc
{
	font-size:14px;
	text-align:left;
	color:#444;
	//font-weight: bold;
}
.item_photo_frame
{
	padding:0px;
	background-position:center;
	background-repeat: no-repeat;
	background-size: cover;
	position: relative;
	left:0;
	top:0px;

	width:40px;
	height:35px;
	overflow: hidden;
	-moz-border-radius:     8px;
	-khtml-border-radius:   8px;
	-webkit-border-radius:  8px;
	border-radius:          8px;
/*
	border:1px solid #666666; 
	-moz-box-shadow: 0px 3px 3px #aaa;
	-webkit-box-shadow: 0px 3px 3px #aaa;
	box-shadow: 0px 3px 3px #aaa;	
*/
}
.item_code
{
	display:inline-block;
	position:relative;
	left:0px;
	min-width:15px;
	height:12px;
	top:0px;
	font-size:10px;
    padding:10px;
	border:0px solid #999;
	color:#333;
	overflow: visible;
	-moz-border-radius:     15px;
	-khtml-border-radius:   15px;
	-webkit-border-radius:  15px;	
	border-radius:          15px;	
	text-align:center;
	color:orange;
	opacity: 0.8;
	text-align: center;
	vertical-align: middle;
    
}

.item_price
{
	
	font-size:11px;
	color:#aaa;
	font-weight:bold;
    margin-top:5px;
}
#item_order_qty_bubble
{
	display:inline-block;
	position:relative;
	left:-8px;
	top:-8px;
	background:#404040;
	color:#ffffff;
	border:2px solid #ddd;
	font-size:8px;
	padding-left:1px;
	text-align:center;
	text-shadow: none;
	min-width:20px;
	color:yellow;

	-moz-border-radius:10px;
	-khtml-border-radius:10px;
	-webkit-border-radius:10px;	

	z-index:50;
}
.option_label
{
	font-size:11px; 
	color:#999;
	font-weight:bold;
	padding:2px;
}
/*************** form elements ************************/
input
{
	-webkit-appearance: none;
	margin-top: 8px;
}

input:read-only {
    background-color: #ddd;
}

input[type="text"],
input[type="email"],
input[type="number"],
input[type="password"]
{

    font-family:Helvetica, Arial, sans-serif;
	height:40px;
	border:1px solid #ddd;;
	width:100%;
	font-size:15px;
    padding:6px;
    padding-left:10px;

    -moz-border-radius:		8px;
	-khtml-border-radius:	8px;
    -webkit-border-radius:	8px;
    border-radius:			8px;

    -webkit-box-shadow:none;
	outline-style:none;
	box-shadow:none;
	border-color:#ddd;
	display: block;

	
}
select
{
    font-family:Helvetica, Arial, sans-serif;
	height:40px;
	border:1px solid #ddd;;
	font-size:15px;
    padding:6px;
    vertical-align: middle;
    -moz-border-radius:		8px;
	-khtml-border-radius:	8px;
    -webkit-border-radius:	8px;
    border-radius:			8px;
    background-color: #fff;
	
}
input:focus, select:focus
{
	outline-style:none;
	box-shadow:none;


}
input:required {
    border-color:orange;
    //background: #e5f1bc;
}

#regist_order_canvas td, #login_canvas td
{
	font-size:14px;
    border:none;
    padding:5px;
    text-align:left;
}

#regist_order_canvas tr:last-child td, #login_canvas tr:last-child td
{
    text-align:center;
    border:1px solid transparent;
	font-weight:normal;
	-moz-border-radius:5px;
	-khtml-border-radius:5px;
    -webkit-border-radius:5px;
    border-radius:5px;
    
}


/*************** order type button *********************/

#regist_order_canvas ul#order_type_container
{
    display:table;
    width:100%;
    height:30px;
    vertical-align:middle;
}


#regist_order_canvas ul#order_type_container li 
{
    display:table-cell;
    vertical-align:middle;
    text-align:center;
    cursor:pointer;
    color:#666;

}


#regist_order_canvas ul#order_type_container li label
{
    border:1px solid #4CAE4C;
    display:block;
    vertical-align:middle;
    padding:12px 0px;
    margin-bottom:5px;
    border-left:none;
    font-size: 16px;
}

#regist_order_canvas ul#order_type_container li:first-child label
{
/*
    -moz-border-radius      :5px 0 0 5px; 
    -khtml-border-radius    :5px 0 0 5px;
    -webkit-border-radius   :5px 0 0 5px;   */
    border-top-left-radius      :5px;   
    border-bottom-left-radius   :5px;   
    border-left:1px solid #4CAE4C;
}

#regist_order_canvas ul#order_type_container li:last-child label
{
/*  -moz-border-radius      :0 5px 5px 0; 
    -khtml-border-radius    :0 5px 5px 0;
    -webkit-border-radius   :0 5px 5px 0;   */
    border-top-right-radius         :5px;   
    border-bottom-right-radius      :5px;   
}

#regist_order_canvas ul#order_type_container input[type=radio]
{
    display:none;
}

#regist_order_canvas ul#order_type_container input[type=radio]:checked + label,
#regist_order_canvas ul#order_type_container li label:active
{
    background:#5CB85C;
    color:#fff;
}

/*************** full screen  *********************/
#table_canvas, #num_of_people_canvas, #cate_panel_canvas, #payment_canvas, #option_panel_canvas
{
    display: none;
    z-index:2000;
    text-align: center;
    padding-top:45px;
}

.fullscreen_overlay
{
    position:fixed;
    top:0;
    bottom:0;
    left:0;
    right:0;
    z-index:2100;
    background-color:rgba(176, 176, 176, .9);   

    //border:2px solid #ccc;
    overflow: auto;
    padding-right: 1px;
}

#option_panel_canvas .fullscreen_overlay
{
    top:0;
    bottom:0;
    left:0;
    right:0;
    z-index:2100;
    background-color:rgba(48, 48, 48, .8);   

}
#payment_canvas .fullscreen_overlay
{
    top:0;
    bottom:0;
    left:0;
    right:0;
    z-index:2100;
    background-color:rgba(48, 48, 48, .8);   
    padding-top:35px;

}
.fullscreen_overlay ul
{
    display:table;
    width:100%;
    vertical-align:middle;
}
.fullscreen_overlay ul li 
{
    display:table-cell;
    vertical-align:middle;
    text-align:center;
    cursor:pointer;
    width:300px;
    float:left;
    height: 44px;
    overflow:hidden;
}


@media                         (max-width:600px)    { .fullscreen_overlay ul li  { width:50%;}     /*  1/2 */}
@media  (min-width:601px) and  (max-width:900px)    { .fullscreen_overlay ul li  { width:33%;}     /*  1/3 */}
@media  (min-width:901px) and (max-width:1200px)    { .fullscreen_overlay ul li  { width:25%;}      /* 1/4 */}
@media (min-width:1201px) and (max-width:1500px)    { .fullscreen_overlay ul li  { width:20%;}      /* 1/5 */}
@media (min-width:1501px) and (max-width:1800px)    { .fullscreen_overlay ul li  { width:16%;}      /* 1/6 */}
@media (min-width:1801px) and (max-width:2100px)    { .fullscreen_overlay ul li  { width:14%;}      /* 1/7 */}

@media                         (max-width:600px)    { #menu_list .menu_grid .item_block  { width:99%;}    }
@media  (min-width:601px) and  (max-width:900px)    { #menu_list .menu_grid .item_block  { width:49%;}     }
@media  (min-width:901px) and (max-width:1200px)    { #menu_list .menu_grid .item_block  { width:32%;}     }
@media (min-width:1201px) and (max-width:1500px)    { #menu_list .menu_grid .item_block  { width:24%;}     }
@media (min-width:1501px) and (max-width:1800px)    { #menu_list .menu_grid .item_block  { width:24%;}     } 
@media (min-width:1801px) and (max-width:2100px)    { #menu_list .menu_grid .item_block  { width:24%;}     }


.fullscreen_overlay ul li label
{
    border:1px solid #666;
    line-height: 32px;
    display:block;
    vertical-align:middle;
    padding:3px;
    margin:3px;
    font-size:16px;
    //font-weight: bold;
    //color:#fff;

    -moz-border-radius:     8px;
    -khtml-border-radius:   8px;
    -webkit-border-radius:  8px;
    border-radius:          8px;        

	background: -webkit-gradient(linear, left top, left bottom, from(#eee), to(#ddd)); 
	background: -moz-linear-gradient(top,  #eee,  #ddd);

}

.fullscreen_overlay ul input[type=radio]
{
    display:none;
}

.fullscreen_overlay ul input[type=radio]:checked + label,
.fullscreen_overlay ul li label:active
{
    background:#5CB85C;
    color:#fff;
}

.fullscreen_overlay .button
{
    width:150px;
    font-size:16px;
	background: -webkit-gradient(linear, left top, left bottom, from(#eee), to(#ddd)); 
	background: -moz-linear-gradient(top,  #eee,  #ddd);
}

.fullscreen_overlay label
{
    //color:#ccc;
}

.fullscreen_overlay input[type=text]
{
    background:transparent;
    width:90%;
    background:#333;
    display: inline-block;
    color:#ddd;
    font-size: 16px;
}
#menu_list .menu_grid
{
    display:none;
}
#menu_list .menu_grid:first-child
{
    //display:block;
}
/*************** buttons *********************/

button[type=button], button[type=submit], input[type=submit], input[type=button], .button
{
	font-family:  Helvetica, Arial, Verdana , sans-serif;
	font-size: 16px;
	height: 50px;
	border: 1px solid #ccc;
	margin: 6px;
	margin-top:12px;
	color: #333;
	font-weight:bold;

	text-align:center;
	vertical-align:middle;
	padding-bottom:4px;
	
	background: #ddd; /* for non-css3 browsers */
/*	
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#eee', endColorstr='#ddd');
	background: -webkit-gradient(linear, left top, left bottom, from(#eee), to(#ddd)); 
	background: -moz-linear-gradient(top,  #eee,  #ddd); 
*/	

	-moz-box-shadow: 0px 0px 2px #aaa;
	-webkit-box-shadow: 0px 0px 2px #aaa;
	box-shadow: 0px 0px 2px #aaa;	

	-moz-border-radius:5px;
	-khtml-border-radius:5px;
    -webkit-border-radius:5px;
    border-radius:5px;
    display: inline-block;
    min-width:100px;
    width: 44%;
	
}

button[type=button].back
{

      color: #ffffff;
      text-shadow: none;
      background: #1e1b16;
      background: -webkit-gradient( linear, left top, left bottom, from(#5c5c5b), to(#1e1b16), color-stop(0.7, #1e1b16) );
	  background: -moz-linear-gradient(top,  #5c5c5b,  #1e1b16);
	  filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#5c5c5b', endColorstr='#1e1b16');
}
button:hover, .button:hover
{
	border:1px solid darkorange;
}
button:active, .button:active
{
	border:1px solid darkorange;	
}
/******************************/

#all_cat_button
{
		position:absolute;
        display:inline-block;
		top:5px;
		right:80px;
        padding:10px;
        line-height:100%;

        vertical-align:bottom;
        text-align:center;
	    cursor:pointer;
	    border: 1px solid #000 ;
		//border-right:none;
	    color: 					#eee;
        font-size:11px;
		font-weight:bold;

   	    -moz-border-radius:			5px;
	    -khtml-border-radius:		5px;
	    -webkit-border-radius:		5px;
	    border-radius: 				5px;

		-moz-text-shadow: 	 none;
		-webkit-text-shadow: none;
		text-shadow: 		 none;	

		letter-spacing: 1px;

        //opacity:0.60;
        z-index:100;


	background: -webkit-gradient(linear, left top, left bottom, from(#555), to(#383838)); 
	background: -moz-linear-gradient(top,  #555,  #383838);        
}


.fa {
    color:darkorange; 
    font-size:130%;
}
.h1_text
{
    font-size:18px;
    padding:15px;
    font-weight: bold;
	background-color:#454545;
	color:#ffffff;
	border-bottom:1px solid #000 ;
	outline:#999 solid 1px;

}

#print_frame
{
    display:block; 
    height:1000px;
    width:1000px;
    border:1px solid transparent;
}
#payment_frame
{
    height:100vh;
    width:800px;
    overflow:hidden;
}
.unavailable_table 
{
	display:none !important;
}
.unavailable_table label
{

	background: -webkit-gradient(linear, left top, left bottom, from(#ddd), to(#eee)); 
	background: -moz-linear-gradient(top,  #ddd,  #eee);
	color:red;
}

#sleek_cart
{
    border-radius      :0px;   
    border:1px solid #eee;	
	margin: 2px;
	padding:5px;

}